package cn.com.qmth.examcloud.exchange.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.exchange.dao.bean.ExamScore;
import cn.com.qmth.examcloud.exchange.dao.bean.OutletScore;

import java.util.List;

/**
 * Created by yuanpan on 2017/4/26.
 */
@Repository
public interface ExamScoreRepo extends JpaRepository<ExamScore, Long> {

    //    @Query(nativeQuery = true, value = "select \n" +
//            "s.id `score_id`, stu.`name` `student_name`, stu.student_code,stu.identity_number,\n" +
//            "s.total_score,s.objective_score,s.subjective_score,\n" +
//            "stu.course_name,stu.course_code,stu.remark `student_remark`,\n" +
//            "r.end_time\n" +
//            "from oe_exam_score s \n" +
//            "left join oe_exam_record r on s.exam_record_id = r.id\n" +
//            "left join ecs_exam_student stu on stu.id = r.exam_student_id\n" +
//            "left join ecs_exam e on e.id = r.batch_id\n" +
//            "where e.remark = ?1 and stu.remark = ?2 and e.org_id = ?3")
//    List<Object> findOutletScoreByRemark(String examRemark, String examStuRemark, Long examOrgId);

    List<OutletScore> sydxQuery(String examRemark, String examStuRemark, Long examOrgId);

    List<OutletScore> sydxGet(Long scoreId);
    
    /**
     * 按身份证号查询成绩
     * @param identityNumber 身份证号
     * @return
     */
    List<OutletScore> sydxQueryScoreByIdentityNumber(List<String> identityNumbers, Long examOrgId);
    
}
