package cn.com.qmth.examcloud.exchange.dao.bean;

import java.io.Serializable;
import java.util.Date;

import cn.com.qmth.examcloud.common.dto.core.enums.CourseLevel;

/**
 * 
 * @Description: 课程
 * @author ting.yin
 * @date 2017年1月5日
 */
public class OutletCourse implements Serializable{

	
    /**
	 * 
	 */
	private static final long serialVersionUID = 3402653478406795762L;

	private Long id;

	private String code;

    private String name;

	private Long orgId;
	
	private CourseLevel level;

	private Date createTime;

	private Date updateTime;

	private Boolean enable;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

    public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public CourseLevel getLevel() {
		return level;
	}

	public void setLevel(CourseLevel level) {
		this.level = level;
	}

	public OutletCourse() {
	}

	public OutletCourse(String name, String code) {
		this.name = name;
		this.code = code;
		this.createTime = new Date();
		this.enable = true;
	}
}
