package cn.com.qmth.examcloud.exchange.dao.bean;

import cn.com.qmth.examcloud.common.dto.core.User;

import javax.validation.constraints.NotNull;

import java.io.Serializable;
import java.util.Date;

/**
 * Created by songyue on 17/1/13.
 */
public class OutletStudent implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3879026866880289468L;

	private Long id;

	private User user;

	@NotNull
	private String name;

	private String studentCode;

	private String identityNumber;

	private String photoPath;

	private String remark;

	private Boolean enable;

	private Date createTime;

	private Date updateTime;

	private Long orgId;

	private Long rootOrgId;

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}
	
	public OutletStudent() {
	}

	public OutletStudent(Long studentId) {
		this.id = studentId;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public String getPhotoPath() {
		return photoPath;
	}

	public void setPhotoPath(String photoPath) {
		this.photoPath = photoPath;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}
}
