package cn.com.qmth.examcloud.exchange.dao.bean;

import java.io.Serializable;


public class StudentInfoReq implements Serializable{
	
	private static final long serialVersionUID = -6575958224230885795L;
	/**
	 * 考试ID
	 */
	private Long examId;
	/**
	 * 考试名称
	 */
	private String examName;
	/**
	 * 学生姓名
	 */
	private String studentName;
	/**
	 * 学生学号
	 */
	private String studentCode;
	/**
	 * 学生身份证号
	 */
	private String identityNumber;
	/**
	 * 考试课程名称
	 */
	private String courseName;
	/**
	 * 考试课程code
	 */
	private String courseCode;
	/**
	 * 考试课程level
	 */
	private String courseLevel;
	/**
	 * 试卷类型
	 */
	private String paperType;
	/**
	 * 采集人
	 */
	private String infoCollector;
	/**
	 * 专业名称
	 */
	private String specialtyName;
	/**
	 * 所属机构code
	 */
	private String orgCode;
	/**
	 * 所属机构名称
	 */
	private String orgName;
	/**
	 * 性别
	 */
	private String gender;
	/**
	 * 年级
	 */
	private String grade;
	/**
	 * 是否为重修
	 */
	private Boolean repair;
	/**
	 * 是否毕业
	 */
	private Boolean graduated;
	/**
	 * 备注
	 */
	private String remark;
	
	/**
	 * 机构ID
	 */
	private Long orgId;
	/**
	 * 顶级机构id 
	 */
	private Long rootOrgId;
	
	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseLevel() {
		return courseLevel;
	}

	public void setCourseLevel(String courseLevel) {
		this.courseLevel = courseLevel;
	}

	public String getPaperType() {
		return paperType;
	}

	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}

	public String getInfoCollector() {
		return infoCollector;
	}

	public void setInfoCollector(String infoCollector) {
		this.infoCollector = infoCollector;
	}

	public String getSpecialtyName() {
		return specialtyName;
	}

	public void setSpecialtyName(String specialtyName) {
		this.specialtyName = specialtyName;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getGender() {
		return gender;
	}

	public void setGender(String gender) {
		this.gender = gender;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public Boolean getRepair() {
		return repair;
	}

	public void setRepair(Boolean repair) {
		this.repair = repair;
	}

	public Boolean getGraduated() {
		return graduated;
	}

	public void setGraduated(Boolean graduated) {
		this.graduated = graduated;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}
	
}
