package cn.com.qmth.examcloud.exchange.outer.service.client;

import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import cn.com.qmth.examcloud.common.dto.oe.marking.ExamPhotoVerifyData;

/**
 * @author  	chenken
 * @date    	2018年5月7日 下午3:11:55
 * @company 	QMTH
 * @description OeClient.java
 */
@FeignClient(value = "ExamCloud-SERVICE-OE")
public interface OeClient {

	/**
	 * 查询考试拍照相关数据
	 * @param scoreId
	 * @return
	 */
	@RequestMapping(method = RequestMethod.GET, value = "/api/exam_record/examPhotoVerifyCount")
	public ExamPhotoVerifyData getExamPhotoVerifyData(@RequestHeader("user_token") String token,@RequestParam("scoreId") Long scoreId);
	
}

