package cn.com.qmth.examcloud.exchange.outer.service.client;

import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import cn.com.qmth.examcloud.exchange.dao.bean.OutletOrg;


@FeignClient(value = "ExamCloud-service-core")
public interface OrgClient {

    @RequestMapping(method = RequestMethod.GET, value = "${$rmp.ctr.basic}/org")
    ResponseEntity<OutletOrg> findByParentIdAndCode(@RequestHeader("user_token") String token, @RequestParam("parentId") Long parentId, @RequestParam("code") String code);

    @RequestMapping(method = RequestMethod.POST, value = "${$rmp.ctr.basic}/org")
    ResponseEntity<OutletOrg> save(@RequestHeader("user_token") String token, @RequestBody OutletOrg org);

}
