package cn.com.qmth.examcloud.exchange.outer.service.client;

import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import cn.com.qmth.examcloud.exchange.dao.bean.OutletCourse;


/**
 * Created by yuanpan on 2017/4/25.
 */
@FeignClient(value = "ExamCloud-service-core")
public interface CourseClient {

    @RequestMapping(method = RequestMethod.GET, value = "${$rmp.ctr.basic}/course")
    ResponseEntity<OutletCourse> getCourseByCode(@RequestHeader("user_token") String token, @RequestParam(value = "orgId") Long orgId, @RequestParam(value = "code") String code);

    @RequestMapping(method = RequestMethod.POST, value = "${$rmp.ctr.basic}/course")
    ResponseEntity<OutletCourse> save(@RequestHeader("user_token") String token, @RequestBody OutletCourse course);
}
